--- title: "get-datafence-infra-list" slug: "get-datafence-infra-list" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/get-datafence-infra-list" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # get-datafence-infra-list Available in VPC Get the list of datafence infrastructure. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/fence/get-datafence-infra-list | ### Request headers For information about the headers common to all Datafence APIs, see [Datafence request headers](/docs/en/datafence-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fenceId` | Integer | Required | Datafence number - See [get-datafence](/docs/en/get-datafence). | | `page` | Integer | Optional | Page number - 0-100 (default: 0) | | `size` | Integer | Optional | Number of items per page - 1-100 (default: 10) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datafence.apigw.ntruss.com/api/v1/fence/get-datafence-infra-list?fenceId=26&page=1&size=10' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `totalCount` | Integer | - | Number of response results | | `content` | Array | - | Datafence list: [content](/docs/en/get-datafence-infra-list#content) | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `infraType` | String | - | Infrastructure type - `FENCE_UBUNTU`: management Ubuntu server - `FENCE_NAS`: datafence NAS | | `instanceName` | String | - | Infrastructure instance name | | `privateIp` | String | - | Infrastructure private IP - Displayed if `infraType`is `FENCE_UBUNTU` | | `publicIp` | String | - | Infrastructure public IP - Displayed if `infraType`is `FENCE_UBUNTU` | | `osName` | String | - | Server operating system name - Displayed if `infraType` is `FENCE_UBUNTU` | | `specName` | String | - | Server or NAS specification name - Capacity is displayed if `infraType` is `NAS`. | | `userName` | String | - | Server access account name - Display the mount path if `infraType` is `NAS`. | | `createDate` | String | - | Datafence creation date and time - ISO 8601 format (including UTC+9) | | `statusCode` | String | - | Datafence status code - `INITIALIZE` \| `USE` \| `ING` \| `RETURN` \| `TERMINATE` - `INITIALIZE`: creating infrastructure - `USE`: in use - `ING`: changing - `RETURN`: terminating - `TERMINATE`: termination completed | | `statusName` | String | - | Datafence status name - `Creating infrastructure` \| `In use` \| `Changing` \| `Terminating` \| `Termination completed` | | `instanceNo` | Integer | - | Infrastructure instance number | | `instanceStatus` | String | - | Infrastructure status name - `In use` \| `Restarting` \| `Configuring` | | `instanceStatusCode` | String | - | Infrastructure status code - `RUN` \| `REBOOT` \| `SETTING` - `RUN`: in use - `REBOOT`: restart - `SETTTING`: configure | ### Response status codes For information about the HTTP status codes common to all Datafence APIs, see [Datafence API response status codes](/docs/en/datafence-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "totalCount": 2, "content": [ { "infraType": "Server", "instanceName": "fence-XX-Y", "privateIp": "xxx.xxx.xxx.xxx", "publicIp": "xxx.xxx.xxx.xxx", "osName": "Ubuntu", "specName": "CPU Linux Server (S2 L1 : 2vCPU 8GB Mem)", "userName": "root", "createDate": "2025-03-25T15:39:04+09:00", "statusCode": "USE", "statusName": "In use", "instanceNo": "-", "instanceStatus": "In use", "instanceStatusCode": "RUN" }, { "infraType": "NAS", "instanceName": "XXfenceY", "specName": "500", "userName": "/mnt/nasr/XXfenceY", "createDate": "2025-01-09T13:51:10+09:00", "statusCode": "USE", "statusName": "In use", "instanceNo": "-", "instanceStatus": "In use", "instanceStatusCode": "USE" } ] } ```